Bug 1481846 - appliance_console_cli doesn't handle ipa registration if the password has a '$' in it
Summary: appliance_console_cli doesn't handle ipa registration if the password has a '...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: 5.8.2
Assignee: Yuri Rudman
QA Contact: Matt Pusateri
URL:
Whiteboard: appliance:auth
Depends On: 1438974
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-15 21:09 UTC by Satoe Imaishi
Modified: 2017-10-24 00:39 UTC (History)
5 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1438974
Environment:
Last Closed: 2017-10-24 00:39:41 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-15 21:13:15 UTC
New commit detected on ManageIQ/manageiq-gems-pending/fine:
https://github.com/ManageIQ/manageiq-gems-pending/commit/5be8085f865e889b33b2f6871318dcf97b0f9305

commit 5be8085f865e889b33b2f6871318dcf97b0f9305
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Tue Aug 15 11:57:23 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Aug 15 17:09:30 2017 -0400

    Merge pull request #257 from yrudman/allow-httpd-password-to-have-dollar-sign
    
    Allow httpd password to have dollar sign in it
    (cherry picked from commit 7bea4f3d0ebda0ef479110b7c61e42e9dbf72834)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1481846

 .../external_httpd_authentication.rb               |  2 +-
 .../external_httpd_authentication_spec.rb          | 22 ++++++++++++++++++++++
 2 files changed, 23 insertions(+), 1 deletion(-)

Comment 6 Matt Pusateri 2017-10-04 21:42:13 UTC
Verified on 5.8.2.1

Comment 8 errata-xmlrpc 2017-10-24 00:39:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.